<?php
/**
 * Register testimonials custom post type
 */

if( !function_exists('listio_register_testimonials_type') ): 
    function listio_register_testimonials_type() {
        register_post_type('testimonials', array(
            'labels' => array(
                'name'                  => __('Testimonials','listio'),
                'singular_name'         => __('Testimonial','listio'),
                'add_new'               => __('Add New Testimonial','listio'),
                'add_new_item'          => __('Add Testimonial','listio'),
                'edit'                  => __('Edit','listio'),
                'edit_item'             => __('Edit Testimonial','listio'),
                'new_item'              => __('New Testimonial','listio'),
                'view'                  => __('View','listio'),
                'view_item'             => __('View Testimonial','listio'),
                'search_items'          => __('Search Testimonials','listio'),
                'not_found'             => __('No Testimonials found','listio'),
                'not_found_in_trash'    => __('No Testimonials found in Trash','listio'),
                'parent'                => __('Parent Testimonial', 'listio'),
            ),
            'public'                => true,
            'exclude_from_search '  => true,
            'has_archive'           => true,
            // 'rewrite'               => array('slug' => 'testimonials'),
            'rewrite'               => array('slug' => _x('testimonials', 'URL SLUG', 'listio')),
            'supports'              => array('title', 'thumbnail', 'editor'),
            'can_export'            => true,
            'menu_icon'             => PLUGIN_PATH . '/images/testimonials-icon.png'
        ));
    }
endif;
add_action('init', 'listio_register_testimonials_type');
if( !function_exists('listio_change_testimonials_default_title') ): 
    function listio_change_testimonials_default_title($title) {
        $screen = get_current_screen();
        if ('testimonials' == $screen->post_type) {
            $title = __('Enter customer name here', 'listio');
        }
        return $title;
    }
endif;
add_filter('enter_title_here', 'listio_change_testimonials_default_title');
?>